﻿using UnityEngine;
using System.Collections;
using UnityEngine.Events;
using com.geeitsomelaldy;

public class GameController : MonoBehaviour {
    public int Score
    {
        get
        {
            return _score;

        }
        set
        {

            _score = value;
            UpdateScore.Invoke(string.Format("{0:0}",_score));
        }

    }
    public void AddScore(int s)
    {
        Score += s;
    }
    public float MaxHP = 1;
    public void SetHP(int hp)
    {
        UpdateHP.Invoke( Mathf.Clamp01(hp / MaxHP));
    } 
    public StringEvent UpdateScore;
    public FloatEvent UpdateHP;


    public int _score { get; set; }
}
