﻿using UnityEngine;
using System.Collections;
using UnityEngine.Events;

public class WaveController : MonoBehaviour {
    public GameObject[] Items;
    public UnityEvent OnWaveComplete;
    public bool WaveIsComplete = false;
	// Update is called once per frame
	void Update () {
        if (WaveIsComplete) return;
	    for(var i = 0; i < Items.Length; i++) {
            if(Items[i] != null) return;
        }
        OnWaveComplete.Invoke();
        WaveIsComplete = true;
	}
}
