﻿using UnityEngine;
using System.Collections;
using UnityEngine.Audio;
using System.Collections.Generic;
using System.Linq;

public class AudioMixController : MonoBehaviour {
    public AudioMixer mixer;
    public float TransitionTime = 0.4f;
    public List<AudioMixerSnapshot> Snapshots;
    public void SetSnapshot(AudioMixerSnapshot name)
    {
        Debug.Log("TRANSITION TO SNAPSHOT: " + name.name);
        mixer.TransitionToSnapshots(Snapshots.ToArray(),Snapshots.Select(x=>
            x == name ? 1f: 0
            ).ToArray(), TransitionTime);
    }
}
