﻿using UnityEngine;
using System.Collections;

public class DestroyAfter : MonoBehaviour {
    [Tooltip("Destroy this object after x Seconds")]
    public float Timer;
	// Use this for initialization
	void OnEnable () {
        Invoke("DoDestroy", Timer);   
	}
    void DoDestroy()
    {
        if (this.gameObject.activeInHierarchy)
        {
            Destroy(this.gameObject);
        }
    }
}
