﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;
using UnityEngine.Events;

namespace com.geeitsomelaldy
{
    [System.Serializable]
    public class Vector2Event : UnityEvent<Vector2> { }
    [System.Serializable]
    public class StringEvent : UnityEvent<string> { }
    [System.Serializable]
    public class IntEvent : UnityEvent<int> { }
    [System.Serializable]
    public class FloatEvent : UnityEvent<float> { }
    [System.Serializable]
    public class BooleanEvent : UnityEvent<bool> { }

    public static class Utilities
    {
        public static bool Contains(this LayerMask layermask, int layer)
        {
            return (layermask == (layermask | (1 << layer)));
        }   
    }
    
}
