﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace com.geeitsomelaldy.platforming
{
    public enum DamageType
    {
        Projectile,
        Melee,
        Stomp
    }
    public interface IEnemy
    {
        /// <summary>
        /// Something is attacking the enemy
        /// </summary>
        /// <param name="position">position of the attack</param>
        /// <returns></returns>
        bool AttackFrom(Vector2 position, Vector2 velocity, DamageType damageType);
        int DamageDealt();
    }
}
